From ec8ab6f792341a9517091003f3b4285f0f1920de Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Mon, 17 Jun 2024 16:54:33 +0200
Subject: [PATCH v20240617 45/56] pgindent

---
 src/backend/statistics/extended_stats.c | 30 +++++++++++++------------
 1 file changed, 16 insertions(+), 14 deletions(-)

diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index 1289b0a2c53..3ce55ae4a5f 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -2846,11 +2846,12 @@ statext_determine_join_restrictions(PlannerInfo *root, RelOptInfo *rel,
 static bool
 statext_is_supported_join_clause(PlannerInfo *root, Node *clause)
 {
-	Oid	oprsel;
-	RestrictInfo   *rinfo;
-	OpExpr		   *opclause;
-	int				left_relid, right_relid;
-	Var			   *var;
+	Oid			oprsel;
+	RestrictInfo *rinfo;
+	OpExpr	   *opclause;
+	int			left_relid,
+				right_relid;
+	Var		   *var;
 
 	/* XXX Can we rely on always getting RestrictInfo here? */
 	if (!IsA(clause, RestrictInfo))
@@ -3205,17 +3206,18 @@ extract_relation_info(PlannerInfo *root, JoinPairInfo *info, int index,
 	}
 
 	/*
-	 * Find a stat which covers *all* the attnums and exprs for simplification.
+	 * Find a stat which covers *all* the attnums and exprs for
+	 * simplification.
 	 *
-	 * To overcome above limitation, statext_find_matching_mcv has to smart enough to
-	 * decide which expression to discard as the first step. and later the other
-	 * side of join has to use a stats which match or superset of expression here.
-	 * at last mcv_combine_extended should be improved to handle the not-exactly-same
-	 * mcv.
+	 * To overcome above limitation, statext_find_matching_mcv has to smart
+	 * enough to decide which expression to discard as the first step. and
+	 * later the other side of join has to use a stats which match or superset
+	 * of expression here. at last mcv_combine_extended should be improved to
+	 * handle the not-exactly-same mcv.
 	 *
-	 * XXX I don't understand what "above limitation" this refers to. The comment
-	 * would benefit from some clarification, but I'm not sure what it's trying
-	 * to say exactly :-(
+	 * XXX I don't understand what "above limitation" this refers to. The
+	 * comment would benefit from some clarification, but I'm not sure what
+	 * it's trying to say exactly :-(
 	 */
 	*stat = statext_find_matching_mcv(root, rel, attnums, exprs, base_conditions);
 
-- 
2.45.2

